# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IDesignElement

Packages that use IDesignElement
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IDesignElement in org.eclipse.birt.report.model.api.extension

Classes in org.eclipse.birt.report.model.api.extension that implement IDesignElement
Modifier and Type
Class
Description
`class`
`MultiRowItem`
Implements of multi row report item.
`class`
`SimpleRowItem`
Implements of simple item that has no data rows.The constructor in sub class must call super(ExtendedItemHandle).
Methods in org.eclipse.birt.report.model.api.extension that return IDesignElement
Modifier and Type
Method
Description
`IDesignElement`
MultiRowItem.`getParent()`
`IDesignElement`
SimpleRowItem.`getParent()`
Methods in org.eclipse.birt.report.model.api.extension with parameters of type IDesignElement
Modifier and Type
Method
Description
`void`
MultiRowItem.`setCurrentView(IDesignElement viewElement)`
`void`
SimpleRowItem.`setCurrentView(IDesignElement viewElement)`

## Uses of IDesignElement in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IDesignElement
Modifier and Type
Method
Description
`IDesignElement`
SimpleElementFactory.`getElement(DesignElementHandle handle)`

## Uses of IDesignElement in org.eclipse.birt.report.model.api.simpleapi

Subinterfaces of IDesignElement in org.eclipse.birt.report.model.api.simpleapi
Modifier and Type
Interface
Description
`interface`
`IAutoText`
Simple wrapper of AutoTextHandle
`interface`
`ICell`
Represents a the design of a Cell in the scripting environment
`interface`
`IColumn`
Script wrapper of ColumnHandle.
`interface`
`IDataItem`
Represents a the design of a DataItem in the scripting environment
`interface`
`IDynamicText`
Represents a the design of a multi line text item in the scripting environment
`interface`
`IExtendedItem`
Script wrapper of ExtendedItemHandle.
`interface`
`IFilterConditionElement`
`interface`
`IGrid`
Represents a the design of a Grid in the scripting environment
`interface`
`IGroup`
Script wrapper of GroupHandle
`interface`
`IImage`
Represents a the design of an Image in the scripting environment
`interface`
`ILabel`
Represents a the design of a Label in the scripting environment
`interface`
`IList`
Represents the design of a List in the scripting environment
`interface`
`IListGroup`
Script wrapper of ListGroupHandle
`interface`
`IListing`
Represents the design of an Listing in the scripting environment
`interface`
`IMasterPage`
Represents a master page in the scripting environment
`interface`
`IMultiRowItem`
`interface`
`IReportDesign`
Script wrapper of ReportDesignHandle
`interface`
`IReportElement`
Represents a the design of a report element in the scripting environment
`interface`
`IReportItem`
Represents a the design of a report item in the scripting environment
`interface`
`IRow`
Represents a row in the scripting environment
`interface`
`ISortElement`
The simple API class for the SortElementHandle.
`interface`
`ITable`
Represents the design of a Table in the scripting environment
`interface`
`ITableGroup`
Script wrapper of TableGroupHandle
`interface`
`ITextItem`
Represents a the design of a TextItem in the scripting environment
Methods in org.eclipse.birt.report.model.api.simpleapi that return IDesignElement
Modifier and Type
Method
Description
`IDesignElement`
ISimpleElementFactory.`getElement(DesignElementHandle handle)`
Creates the IDesignElement instance.
`IDesignElement`
IDesignElement.`getParent()`
Return the parent of this element
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type IDesignElement
Modifier and Type
Method
Description
`void`
IReportItem.`setCurrentView(IDesignElement viewElement)`
Sets the view to be used.